%define upstream_name    Data-YAML
%define upstream_version 0.0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy YAML serialisation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
In the spirit of YAML::Tiny, Data::YAML::Reader and
Data::YAML::Writer provide lightweight, dependency-free YAML
handling. While 'YAML::Tiny' is designed principally for working with
configuration files, 'Data::YAML' concentrates on the transparent round-
tripping of YAML serialized Perl data structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.0.7-3.mga6
+ Revision: 1025006
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.7-2.mga6
+ Revision: 966217
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.0.7-1.mga6
+ Revision: 843062
- update to 0.0.7

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-5.mga5
+ Revision: 746368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-4.mga5
+ Revision: 684258
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 510629
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.6-2.mga3
+ Revision: 365540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.0.6-1.mga3
+ Revision: 310225
- Update description
- imported package perl-Data-YAML


* Fri Oct 26 2012 cpan2dist 0.0.6-1mga
- initial mageia release, generated with cpan2dist
